Cloud Foundry Foundation cflinuxfs3 update for Unbound



Published: 2022-11-18
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-3204
CWE-ID CWE-400
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
cflinuxfs3
Other software / Other software solutions

Vendor Cloud Foundry Foundation

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Resource exhaustion

EUVDB-ID: #VU69407

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-3204

CWE-ID: CWE-400 - Resource exhaustion

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to application does not properly control consumption of internal resources when processing a malicious delegation with a considerable number of non responsive nameservers. A remote attacker can trigger CPU high usage and perform a denial of service (DoS) attack.

The attack is known as "Non-Responsive Delegation Attack" (NRDelegation Attack).

Mitigation

Install update from vendor's website.

Vulnerable software versions

cflinuxfs3: before 0.336.0


CPE2.3
External links

http://github.com/cloudfoundry/cflinuxfs3/releases/tag/0.336.0

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###